# OpenLayers.Format.WMSCapabilities.v1

Abstract class not to be instantiated directly. Creates the common parts for both WMS 1.1.X and WMS 1.3.X.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.WMSCapabilities.v1 | Abstract class not to be instantiated directly.
Properties |
namespaces | {Object} Mapping of namespace aliases to namespace URIs.
defaultPrefix |
Constructor |
OpenLayers.Format.WMSCapabilities.v1 | Create an instance of one of the subclasses.
Functions |
read | Read capabilities data from a string, and return a list of layers.
Properties |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.

### Properties

### namespaces

{Object} Mapping of namespace aliases to namespace URIs.

### defaultPrefix

### Constructor

### OpenLayers.Format.WMSCapabilities.v1

Create an instance of one of the subclasses.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read capabilities data from a string, and return a list of layers.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Array} List of named layers.

### Properties

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

> read: function( | data | )

Read capabilities data from a string, and return a list of layers.
Read and write XML.
Close